# ApplicationFramework
TKPCAF
MFunction

# MFunction Class Reference

`#include <MFunction.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT void | AddStorageDrivers (const Handle(MDF_ASDriverHSequence)&aDriverSeq, const Handle(CDM_MessageDriver)&theMessageDriver)
| Adds the function storage driver to <adriverseq>. .
static Standard_EXPORT void | AddRetrievalDrivers (const Handle(MDF_ARDriverHSequence)&aDriverSeq, const Handle(CDM_MessageDriver)&theMessageDriver)
| Adds the function retrieval driver to <adriverseq>. .

## Member Function Documentation

static Standard_EXPORT void MFunction::AddRetrievalDrivers | ( | const Handle(MDF_ARDriverHSequence)& | aDriverSeq,
|  | const Handle(CDM_MessageDriver)& | theMessageDriver
| ) | `[static]`

static Standard_EXPORT void MFunction::AddStorageDrivers | ( | const Handle(MDF_ASDriverHSequence)& | aDriverSeq,
|  | const Handle(CDM_MessageDriver)& | theMessageDriver
| ) | `[static]`

void MFunction::operator delete | ( | void * | anAddress | ) | `[inline]`

void* MFunction::operator new | ( | size_t | size | ) | `[inline]`

void* MFunction::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

The documentation for this class was generated from the following file:

- MFunction.hxx